%global githash f70b1a403faf49a2a6d9a97ee3cadbcafd614c5a

Name:          cleartk
Version:       2.0.0
Release:       1%{?dist}
Summary:       Machine learning components for Apache UIMA
License:       BSD
URL:           http://cleartk.github.io/cleartk/
# Remove prebuilt libraries
# sh cleartk-repack.sh < githash >
Source0:       %{name}-%{githash}-clean.tar.xz
Source1:       cleartk-repack.sh

BuildRequires: maven-local
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.lexicalscope.jewelcli:jewelcli)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(de.bwaldvogel:liblinear)
BuildRequires: mvn(de.tudarmstadt.ukp.dkpro.core:de.tudarmstadt.ukp.dkpro.core.api.resources-asl)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.opennlp:opennlp-maxent)
BuildRequires: mvn(org.apache.opennlp:opennlp-tools)
BuildRequires: mvn(org.apache.opennlp:opennlp-uima)
BuildRequires: mvn(org.apache.uima:jcasgen-maven-plugin)
BuildRequires: mvn(org.apache.uima:uimaj-core)
BuildRequires: mvn(org.apache.uima:uimaj-document-annotation)
BuildRequires: mvn(org.apache.uima:uimafit-core)
BuildRequires: mvn(org.jdom:jdom2)
BuildRequires: mvn(tw.edu.ntu.csie:libsvm)
# https://gil.fedorapeople.org/crfsuite-0.12-1.fc22.src.rpm
# Requires:     crfsuite

BuildArch:     noarch

%description
ClearTK is a framework for developing machine learning and
natural language processing components within the Apache
Unstructured Information Management Architecture.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}
%pom_remove_plugin -r :maven-assembly-plugin

# org.chboston.cnlp:libsvm-java-kernel:0.1.0
%pom_disable_module cleartk-ml-libsvm-tk
# cc.mallet:mallet:2.0.7
%pom_disable_module cleartk-ml-mallet
# nz.ac.waikato.cms.weka:weka-dev:3.7.11
%pom_disable_module cleartk-ml-weka
# edu.berkeley.nlp:berkeleyparser:r32
%pom_disable_module cleartk-berkeleyparser
# com.clearnlp:clearnlp:2.0.1,
# com.clearnlp:clearnlp-dictionary:1.0,
# com.clearnlp:clearnlp-general-en-pos:1.1,
# com.clearnlp:clearnlp-general-en-dep:1.2,
# com.clearnlp:clearnlp-general-en-srl:1.1
%pom_disable_module cleartk-clearnlp
# org.maltparser:maltparser:1.8
%pom_disable_module cleartk-maltparser
# org.apache.lucene:lucene-snowball:3.0.3
%pom_disable_module cleartk-snowball
# edu.stanford.nlp:stanford-corenlp:3.2.0,
# edu.stanford.nlp:stanford-corenlp:models:3.2.0
%pom_disable_module cleartk-stanford-corenlp
# Use (also) above modules
%pom_disable_module cleartk-examples

# package org.jdom2 does not exist
%pom_change_dep org.jdom: :jdom2 cleartk-corpus

# Disable lucene support
%pom_remove_dep -r :cleartk-snowball
sed -i '/DefaultSnowballStemmer/d' \
 cleartk-summarization/src/main/java/org/cleartk/summarization/SumBasic.java \
 cleartk-timeml/src/main/java/org/cleartk/timeml/TimeMlAnnotate.java \
 cleartk-timeml/src/main/java/org/cleartk/timeml/eval/TempEval201*.java \
 cleartk-timeml/src/main/java/org/cleartk/timeml/tlink/VerbClauseTemporal*.java

# These tests fail for unavailable resources
# :[110,9] exception org.apache.uima.UIMAException is never thrown in body of corresponding try statement
rm -r cleartk-util/src/test/java/org/cleartk/util/AnnotationUtilTest.java
# AssertionError
# expected:<[a-test1.txt.5.xmi, b-test2.dat.11.xmi, a-test1.txt.7.xmi, a-test1.txt.2.xmi, a-test1.txt.3.xmi, b-test2.dat.9.xmi, a-test1.txt.8.xmi, a-test1.txt.6.xmi, b-test2.dat.10.xmi, a-test1.txt.4.xmi, a-test1.txt.1.xmi, b-test2.dat.12.xmi]> but was:<[a-test1.txt.5.xmi, a-test1.txt.7.xmi, b-test2.dat.4.xmi, a-test1.txt.8.xmi, b-test2.dat.2.xmi, a-test1.txt.11.xmi, a-test1.txt.6.xmi, a-test1.txt.9.xmi, a-test1.txt.12.xmi, b-test2.dat.3.xmi, a-test1.txt.10.xmi, b-test2.dat.1.xmi]>
rm -r cleartk-util/src/test/java/org/cleartk/util/cr/linereader/LineReaderXmiWriterTest.java
rm -r cleartk-ml/src/test/java/org/cleartk/ml/feature/selection/MutualInformationTest.java
# IOException: Cannot run program "svm_learn", "svm_rank_learn"
rm -r cleartk-ml-svmlight/src/test/java/org/cleartk/ml/svmlight/RunSvmLightTest.java
# MissingResourceException: No classifier jar found at eventannotator/model.jar
rm -r cleartk-timeml/src/test/java/org/cleartk/timeml/event/EventAnnotatorsTest.java \
 cleartk-timeml/src/test/java/org/cleartk/timeml/TimeMlAnnotateTest.java
# cleartk-ml-crfsuite/src/main/resources/crfsuite/*/bin/crfsuite*
rm -r cleartk-ml-crfsuite/src/test/java/org/cleartk/ml/crfsuite/CrfSuiteClassifierTest.java
# cleartk-opennlp-tools/src/main/resources/models/en-token.bin
# cleartk-opennlp-tools/src/main/resources/models/en-pos-maxent.bin
# cleartk-opennlp-tools/src/main/resources/models/en-sent.bin
# cleartk-opennlp-tools/src/main/resources/models/en-parser-chunking.bin
# cleartk-opennlp-tools/src/test/resources/data/parser/craft_test/craft_test.bin
rm -r cleartk-opennlp-tools/src/test/java/org/cleartk/opennlp/tools/ParserAnnotatorTest.java  \
 cleartk-opennlp-tools/src/test/java/org/cleartk/opennlp/tools/PosTaggerAnnotatorTest.java \
 cleartk-opennlp-tools/src/test/java/org/cleartk/opennlp/tools/PosTaggerTest.java \
 cleartk-opennlp-tools/src/test/java/org/cleartk/opennlp/tools/SentenceAnnotatorTest.java \
 cleartk-opennlp-tools/src/test/java/org/cleartk/opennlp/tools/TokenizerTest.java

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Sep 03 2015 gil cattaneo <puntogil@libero.it> 2.0.0-1
- initial rpm
